Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pdfview.font.ttf
Class GlyfSimple

    java.lang.Object
      com.sun.pdfview.font.ttf.Glyf
          com.sun.pdfview.font.ttf.GlyfSimple

    public class GlyfSimple

extends Glyf

A single simple glyph in a pdf font.

Constructor Summary
`protected` | `GlyfSimple()` Creates a new instance of a simple glyf

Method Summary
`short` | `getContourEndPoint(int index)` Get the end point of a given contour
`java.nio.ByteBuffer` | `getData()` Get the data in this glyf as a byte buffer.
`byte` | `getFlag(int pointIndex)` Get a given flag
`byte` | `getInstruction(int index)` Get a given instruction
`short` | `getLength()` Get the length of this glyf.
`short` | `getNumInstructions()` Get the number of instructions
`short` | `getNumPoints()` Get the number of points in the glyf
`short` | `getXCoord(int pointIndex)` Get a given x coordinate
`short` | `getYCoord(int pointIndex)` Get a given y coordinate
`boolean` | `onCurve(int pointIndex)` Determine whether the given point is on the curve
`protected boolean` | `repeat(int pointIndex)` Determine whether this flag repeats
`protected void` | `setContourEndPoints(short[] contourEndPts)` Set the number of contours in this glyf
`void` | `setData(java.nio.ByteBuffer data)` Set the data for this glyf.
`protected void` | `setFlags(byte[] flags)` Set the flags
`protected void` | `setInstructions(byte[] instructions)` Set the instructions
`protected void` | `setXCoords(short[] xCoords)` Set the x coordinates
`protected void` | `setYCoords(short[] yCoords)` Set the x coordinates
`protected boolean` | `xIsByte(int pointIndex)` Determine whether the x value for the given point is byte or short.
`protected boolean` | `xIsSame(int pointIndex)` Determine whether the x value for the given point is the same as the previous value.
`protected boolean` | `yIsByte(int pointIndex)` Determine whether the x value for the given point is byte or short.
`protected boolean` | `yIsSame(int pointIndex)` Determine whether the y value for the given point is the same as the previous value.

Methods inherited from class com.sun.pdfview.font.ttf.Glyf
`getGlyf, getMaxX, getMaxY, getMinX, getMinY, getNumContours, isCompound, setCompound, setMaxX, setMaxY, setMinX, setMinY, setNumContours`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyfSimple

    protected GlyfSimple()

  Creates a new instance of a simple glyf

Method Detail

### setData

    public void setData(java.nio.ByteBuffer data)

  Set the data for this glyf.

  Overrides:
    `setData` in class `Glyf`

### getData

    public java.nio.ByteBuffer getData()

  Get the data in this glyf as a byte buffer. Return the basic glyf data only, since there is no specific data. This method returns the data un-flipped, so subclasses can simply append to the allocated buffer.

  Overrides:
    `getData` in class `Glyf`

### getLength

    public short getLength()

  Get the length of this glyf.

  Overrides:
    `getLength` in class `Glyf`

### getContourEndPoint

    public short getContourEndPoint(int index)

  Get the end point of a given contour

### setContourEndPoints

    protected void setContourEndPoints(short[] contourEndPts)

  Set the number of contours in this glyf

### getNumInstructions

    public short getNumInstructions()

  Get the number of instructions

### getInstruction

    public byte getInstruction(int index)

  Get a given instruction

### setInstructions

    protected void setInstructions(byte[] instructions)

  Set the instructions

### getNumPoints

    public short getNumPoints()

  Get the number of points in the glyf

### getFlag

    public byte getFlag(int pointIndex)

  Get a given flag

### onCurve

    public boolean onCurve(int pointIndex)

  Determine whether the given point is on the curve

### xIsByte

    protected boolean xIsByte(int pointIndex)

  Determine whether the x value for the given point is byte or short. If true, it is a byte, if false it is a short

### yIsByte

    protected boolean yIsByte(int pointIndex)

  Determine whether the x value for the given point is byte or short. If true, it is a byte, if false it is a short

### repeat

    protected boolean repeat(int pointIndex)

  Determine whether this flag repeats

### xIsSame

    protected boolean xIsSame(int pointIndex)

  Determine whether the x value for the given point is the same as the previous value.

### yIsSame

    protected boolean yIsSame(int pointIndex)

  Determine whether the y value for the given point is the same as the previous value.

### setFlags

    protected void setFlags(byte[] flags)

  Set the flags

### getXCoord

    public short getXCoord(int pointIndex)

  Get a given x coordinate

### setXCoords

    protected void setXCoords(short[] xCoords)

  Set the x coordinates

### getYCoord

    public short getYCoord(int pointIndex)

  Get a given y coordinate

### setYCoords

    protected void setYCoords(short[] yCoords)

  Set the x coordinates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD